#include <iostream>
#include <vector>
using namespace std;

int pronadjiPrepreku(const vector<int>& visine, int pericina_visina) {
    for (int i = 0; i < visine.size(); i++) {
        if (visine[i] <= pericina_visina) {
            return i + 1;
        }
    }
    return -1;
}

int main() {
    int broj_stalaktita, pericina_visina;
    cin >> broj_stalaktita >> pericina_visina;

    vector<int> visine_stalaktita(broj_stalaktita);
    for (int i = 0; i < broj_stalaktita; i++) {
        cin >> visine_stalaktita[i];
    }

    int rezultat = pronadjiPrepreku(visine_stalaktita, pericina_visina);
    cout << rezultat << endl;

    return 0;
}